org.apache.cassandra.metrics

## Class CassandraMetricsRegistry

- java.lang.Object
- - com.codahale.metrics.MetricRegistry
  - - org.apache.cassandra.metrics.CassandraMetricsRegistry

All Implemented Interfaces:
  com.codahale.metrics.Metric, com.codahale.metrics.MetricSet

    public class CassandraMetricsRegistry
    extends com.codahale.metrics.MetricRegistry

Makes integrating 3.0 metrics API with 2.0.

The 3.0 API comes with poor JMX integration

### Nested Class Summary

Nested Classes
`static interface` `CassandraMetricsRegistry.JmxCounterMBean`
`static interface` `CassandraMetricsRegistry.JmxGaugeMBean`
`static interface` `CassandraMetricsRegistry.JmxHistogramMBean`
`static interface` `CassandraMetricsRegistry.JmxMeterMBean`
`static interface` `CassandraMetricsRegistry.JmxTimerMBean`
`static interface` `CassandraMetricsRegistry.MetricMBean`
`static class` `CassandraMetricsRegistry.MetricName` A value class encapsulating a metric's owning class and name.

### Field Summary

Fields
`static CassandraMetricsRegistry` `Metrics`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.codahale.metrics.Counter` `counter(CassandraMetricsRegistry.MetricName name)`
`com.codahale.metrics.Histogram` `histogram(CassandraMetricsRegistry.MetricName name, boolean considerZeroes)`
`com.codahale.metrics.Meter` `meter(CassandraMetricsRegistry.MetricName name)`
`<T extends com.codahale.metrics.Metric> T` `register(CassandraMetricsRegistry.MetricName name, T metric)`
`void` `registerMBean(com.codahale.metrics.Metric metric, javax.management.ObjectName name)`
`boolean` `remove(CassandraMetricsRegistry.MetricName name)`
`com.codahale.metrics.Timer` `timer(CassandraMetricsRegistry.MetricName name)`

### Methods inherited from class com.codahale.metrics.MetricRegistry

`addListener, buildMap, counter, getCounters, getCounters, getGauges, getGauges, getHistograms, getHistograms, getMeters, getMeters, getMetrics, getNames, getTimers, getTimers, histogram, meter, name, name, register, registerAll, remove, removeListener, removeMatching, timer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Metrics

    public static final CassandraMetricsRegistry Metrics

### Method Detail

#### counter

    public com.codahale.metrics.Counter counter(CassandraMetricsRegistry.MetricName name)

#### meter

    public com.codahale.metrics.Meter meter(CassandraMetricsRegistry.MetricName name)

#### histogram

    public com.codahale.metrics.Histogram histogram(CassandraMetricsRegistry.MetricName name,
                                                    boolean considerZeroes)

#### timer

    public com.codahale.metrics.Timer timer(CassandraMetricsRegistry.MetricName name)

#### register

    public <T extends com.codahale.metrics.Metric> T register(CassandraMetricsRegistry.MetricName name,
                                                              T metric)

#### remove

    public boolean remove(CassandraMetricsRegistry.MetricName name)

#### registerMBean

    public void registerMBean(com.codahale.metrics.Metric metric,
                              javax.management.ObjectName name)